Konqueror ships ancient EasyList blocklist

Bug #372379 reported by Malte S. Stretz on 2009-05-05
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kdelibs
Fix Released
Wishlist
kde4libs (Ubuntu)
Wishlist
Harald Sitter
kdebase (Ubuntu)
Wishlist
Harald Sitter
kubuntu-default-settings (Ubuntu)
Low
Harald Sitter

Bug Description

Binary package hint: kubuntu-default-settings

The settings are in /usr/share/kubuntu-default-settings/kde4-profile/default/share/config/khtmlrc and state

Filter-1=! Rick752's EASYLIST for Adblock Plus 0.7.1+
Filter-2=! -add the EasyElement & ABP Tracking Filter subscriptions for even more.
Filter-3=! | Last Modified: 26Sep07 | http://easylist.adblockplus.org |

That's insane. Please remove that file completely, it only contains these ancient filter definitions (enabled per default!).

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: kubuntu-default-settings 1:9.04.26
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: kubuntu-default-settings
Uname: Linux 2.6.28-11-generic x86_64

Malte S. Stretz (mss) wrote :
Jeruvy (jeruvy) wrote :

This package is End of Life, and no longer supported. I would vote this bug is bogus.

Malte S. Stretz (mss) wrote :

Huh? Jaunty installs that package per default and also karmic's kubuntu-desktop depends on it and it still ships that file: http://packages.ubuntu.com/karmic/all/kubuntu-default-settings/filelist

So what is bogus about this bug?

Changed in kde4libs (Ubuntu):
status: New → Fix Committed
Changed in kdebase (Ubuntu):
status: New → Fix Committed
importance: Undecided → Wishlist
status: Fix Committed → In Progress
Changed in kubuntu-default-settings (Ubuntu):
status: New → Triaged
Changed in kdebase (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in kubuntu-default-settings (Ubuntu):
importance: Undecided → Low
Changed in kde4libs (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in kubuntu-default-settings (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in kde4libs (Ubuntu):
importance: Undecided → Wishlist
Changed in kdebase (Ubuntu):
status: In Progress → Fix Committed
Harald Sitter (apachelogger) wrote :

New plan.

Aforementioned improvements landed in KDE 4.5. Even though I did some poking and testing, I do not think that this is appropriate for a backport to lucid. So instead we will land the changes with regular 4.5 packaging and then drop the list inside kds.

I also propose that we do not provide default filtering from kubuntu 10.10 onwards, simply because it is a bit of dangerous thing to do (free information content with ads, or adfree pay-for-content...).

FYI: The patch makes the current adblocker compatible with regular adblock easylists and also supports autofetching of those. It however requires changes to the GUI, that are at this point unacceptable. The feature itself works without the GUI, but IMHO it doesnt really express the awesomeness to its full extent.

Changed in kdelibs:
status: Unknown → Fix Released
Changed in kubuntu-default-settings (Ubuntu):
status: Triaged → Fix Committed
Changed in kubuntu-default-settings (Ubuntu):
assignee: Harald Sitter (apachelogger) → jriddell (jriddell)
status: Fix Committed → Confirmed
Changed in kubuntu-default-settings (Ubuntu):
assignee: jriddell (jriddell) → Jonathan Riddell (jr)

Thanks, didn't think this was really for me.
JR

On Thu, Apr 8, 2010 at 2:39 PM, Harald Sitter <email address hidden>wrote:

> ** Changed in: kubuntu-default-settings (Ubuntu)
> Assignee: jriddell (jriddell) => Jonathan Riddell (jr)
>
> --
> Konqueror ships ancient EasyList blocklist
> https://bugs.launchpad.net/bugs/372379
> You received this bug notification because you are a bug assignee.
>
> Status in kdelibs: Fix Released
> Status in “kde4libs” package in Ubuntu: Fix Committed
> Status in “kdebase” package in Ubuntu: Fix Committed
> Status in “kubuntu-default-settings” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: kubuntu-default-settings
>
> The settings are in
> /usr/share/kubuntu-default-settings/kde4-profile/default/share/config/khtmlrc
> and state
>
> Filter-1=! Rick752's EASYLIST for Adblock Plus 0.7.1+
> Filter-2=! -add the EasyElement & ABP Tracking Filter
> subscriptions for even more.
> Filter-3=! | Last Modified: 26Sep07 |
> http://easylist.adblockplus.org |
>
> That's insane. Please remove that file completely, it only contains these
> ancient filter definitions (enabled per default!).
>
> ProblemType: Bug
> Architecture: amd64
> DistroRelease: Ubuntu 9.04
> Package: kubuntu-default-settings 1:9.04.26
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: kubuntu-default-settings
> Uname: Linux 2.6.28-11-generic x86_64
>
>
>

--
The unexamined thought is not worth having, the unexamined life is not worth
living. - Socrates
"In order to succeed, your desire for success should be greater than your
fear of failure." - Bill Cosby
Time is a great teacher, but unfortunately it kills all its pupils.
Hector Berlioz (1803-69)
"We live in a society exquisitely dependent on science and technology, in
which hardly anyone knows anything about science and technology." - Carl
Sagan
"Any sufficiently advanced technology is indistinguishable from magic." -
Arthur C. Clarke
SAOR ALBA!
No trees were killed in the creation of this message. However, Billions of
electrons were terribly inconvenienced.

Harald Sitter (apachelogger) wrote :

Am Freitag, 9. April 2010 01:29:37 schrieben Sie:
> Thanks, didn't think this was really for me.

Sorry about that :)
Jonathan Riddell sometimes also uses jriddell for his nick, so I accidently
misassigned this.

--
Harald Sitter
Kubuntu Core Developer
http://www.kubuntu.org

Jonathan Thomas (echidnaman) wrote :

Upstream KDE components w/ fix released to maverick.

Changed in kdebase (Ubuntu):
status: Fix Committed → Fix Released
Changed in kde4libs (Ubuntu):
status: Fix Committed → Fix Released
Changed in kdelibs:
importance: Unknown → Wishlist
Changed in kubuntu-default-settings (Ubuntu):
assignee: Jonathan Riddell (jr) → Harald Sitter (apachelogger)
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-default-settings - 1:11.10ubuntu4

---------------
kubuntu-default-settings (1:11.10ubuntu4) oneiric; urgency=low

  [ Harald Sitter ]
  * Set rekonq as explicit browser application in kdeglobals.
    Otherwise konqueror will be used as default when both are installed.
  * Drop khtmlrc as rekonq is default browser we do not need to ship our
    outdated filter list anymore + it is easily switched on by the user.
    Also the config format scales badly to the default-settings paradigm
    as entries are numbered and so it is hard to preselect one in a way that
    will certianly also work in 3 releases (LP: #372379)

  [ Felix Geyer ]
  * Disable "network management subsystem was stopped or restarted" notification
    which is shown when resuming from suspend/hibernate. (LP: #820183)
 -- Felix Geyer <email address hidden> Sat, 24 Sep 2011 10:41:02 +0200

Changed in kubuntu-default-settings (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.